# Add or update a translation

`POST /cms/entries/{id}/translate` · Rivier · content

Add or update a translation.

- Scope: content:write
- Mcp: rivier_cms_translate
- Graphql: Mutation.contentEntryTranslate
- Sdk: content.entry.translate
- Cli: content entry translate
- Events: content.entry.translated

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "locale": {
      "type": "string",
      "maxLength": 20
    },
    "fields": {
      "type": "object",
      "additionalProperties": {}
    },
    "seo": {
      "type": "object",
      "properties": {
        "title": {
          "type": "string",
          "maxLength": 200
        },
        "description": {
          "type": "string",
          "maxLength": 400
        },
        "canonical": {
          "type": "string",
          "format": "uri",
          "maxLength": 2000
        },
        "noindex": {
          "type": "boolean"
        },
        "ogImageAssetId": {
          "type": "string",
          "format": "uuid"
        },
        "answerSummary": {
          "type": "string",
          "maxLength": 800
        },
        "faq": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "q": {
                "type": "string",
                "minLength": 1,
                "maxLength": 300
              },
              "a": {
                "type": "string",
                "minLength": 1,
                "maxLength": 2000
              }
            },
            "required": [
              "q",
              "a"
            ],
            "additionalProperties": false
          },
          "maxItems": 30
        },
        "jsonld": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "maxLength": 60
            },
            "data": {
              "type": "object",
              "additionalProperties": {}
            }
          },
          "required": [
            "type"
          ],
          "additionalProperties": false
        },
        "includeInLlmsTxt": {
          "type": "boolean"
        }
      },
      "additionalProperties": false
    },
    "slug": {
      "type": "string",
      "maxLength": 120
    },
    "dryRun": {
      "type": "boolean"
    }
  },
  "required": [
    "locale"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/cms/entries/{id}/translate' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locale": "string"
}'
```
